C***********************************************************************
C                             UNIT NICEINT                             *
C               Previous modification: November 24, 1992               *
C                  1992-2007 by Vladimir I. Haltrin                   *
C       Last modification: June 1, 2007 by  Vladimir I. Haltrin        *
C***********************************************************************
      SUBROUTINE ARRLINT(LF,ARR,LAM,LFLM, ARRn)
C***********************************************************************
      IMPLICIT     none
      INTEGER*4    J,K,L, LFLM(81)
      REAL*8       LF(109),ARR(109),LAM(81),ARRn(81)

      DO J = 1, 81
             L = J
             K = LFLM(L)-56
         ARRn(L) = ARR(K)+(LAM(L)-LF(K))*(ARR(K+1)-ARR(K))
     &                                    /(LF(K+1)-LF(K))
      ENDDO

      RETURN
      END                  ! of SUBROUTINE ARRLINT


C***********************************************************************
      SUBROUTINE ARZLINT(LF,ARR,LAM,LFLM, ARRn)
C-----------------------------------------------------------------------
C     Processes two-dimentional (visible band, depth) arrays
C***********************************************************************
      IMPLICIT      none
      EXTERNAL      ARRLINT
      INTEGER       J,K,L,N, LFLM(81)
      REAL*8        LF(109)
      REAL*8        ARR(109,31),LAM(81),ARRn(81,31),DUM(109),DUMn(81)

      DO N=1,31            !  This is the depth loop
         K=N
         DO J=1,109
            L=J
            DUM(L) = ARR(L,K)
         ENDDO
         CALL ARRLINT(LF,DUM,LAM,LFLM, DUMn)
         DO J=1,81
            L=J
            ARRn(L,K) = DUMn(L)
         ENDDO
      ENDDO

      RETURN
      END                 ! of SUBROUTINE ARZLINT

C***********************************************************************
	SUBROUTINE DRAWDIVLINE(FNUM,NUMSP,NUMZNK,ZNAK)
C***********************************************************************
      IMPLICIT     none
      INTEGER*4    J,K, FNUM,NUMSP,NUMZNK
      CHARACTER    ZNAK

      WRITE (FNUM,*) (' ',J=1, NUMSP),(ZNAK,K=1, NUMZNK)

      RETURN
      END
C***********************************************************************
