C***********************************************************************
C                             UNIT NICEZL                              *
C               Previous modification: November 24, 1992               *
C                  1992-2007 by Vladimir I. Haltrin                   *
C       Last modification: June 1, 2007 by  Vladimir I. Haltrin        *
C***********************************************************************
      SUBROUTINE NICEZL(CEn,CIn,ALn,ALIn,LFLM,LAM,NZ,Z)
C
      IMPLICIT    none
      INTEGER*4   LFLM(81),NZ
      REAL*8      LAM(81),CEn(81),CIn(81),ALn(81),ALIn(81),Z(31)
C
      EXTERNAL    ARRLINT,ARZLINT,DRAWDIVLINE   ! in the file NICEINT.f
      EXTERNAL    D_LFP,T_LFP                   ! in the file CIES.f
      INTEGER*4   J,K,L,M,N,NNZ,NZZ(10),NNLn,K1,K2,K3,K4,K5
      INTEGER*4   NIN1 /11/, NIN2 /2/,NOUT3 /3/, NOUT6 /56/, NLLn(10)
      INTEGER*4   NOUT10 /20/, NOUT11 /21/, NOUT12 /22/
      INTEGER*4   NZF,ZFIG(7),NWF,WFIG(7)
      INTEGER*4   NIF1 /90/,NOF5 /95/, NOF6 /96/,NOF7 /97/,NOF8 /98/
      REAL*8      LF(109),DUM,EQD(109,31),ESD(109,31),EED(109,31)
      REAL*8      ESU(109,31),KEED(109,31),KEEU(109,31),REZ(109,31)
      REAL*8      ERD(109,31),ERU(109,31),EFD(109,31),EFU(109,31)
      REAL*8      KEID(109,31),KEIU(109,31),RIZ(109,31)
      REAL*8      EQID(109,31),ESID(109,31),EEID(109,31)
      REAL*8      ESIU(109,31),EID(109,31),EIU(109,31),REIZ(109,31)
      REAL*8      NRD(109,31),NRU(109,31),NFD(109,31),NFU(109,31)
      REAL*8      EQDn(81,31),ESDn(81,31),EEDn(81,31)
      REAL*8      ESUn(81,31),KEEDn(81,31),KEEUn(81,31),REZn(81,31)
      REAL*8      ERDn(81,31),ERUn(81,31),EFDn(81,31),EFUn(81,31)
      REAL*8      KEIDn(81,31),KEIUn(81,31),RIZn(81,31)
      REAL*8      EQIDn(81,31),ESIDn(81,31),EEIDn(81,31)
      REAL*8      ESIUn(81,31),EIDn(81,31),EIUn(81,31),REIZn(81,31)
      REAL*8      NRDn(81,31),NRUn(81,31),NFDn(81,31),NFUn(81,31)
      REAL*8      EQD_P(7,31),ESD_P(7,31),EED_P(7,31),ERD_P(7,31)
      REAL*8      EFD_P(7,31),EID_P(7,31),ESU_P(7,31),ERU_P(7,31)
      REAL*8      EFU_P(7,31),EIU_P(7,31),EQID_P(7,31),ESID_P(7,31)
      REAL*8      ESIU_P(7,31),EEID_P(7,31),REZ_P(7,31),RIZ_P(7,31)
      REAL*8      REIZ_P(7,31),KEED_TP(7,31),KEEU_TP(7,31)
      REAL*8      KEID_TP(7,31),KEIU_TP(7,31),nKEID(81,7),nKEIU(81,7)
      CHARACTER   *100 COMMENTS(2)
      CHARACTER*5 P_NAME(7) /'CIE_X','CIE_Y','CIE_Z','DOMWL'
     &                               ,'PURLT','LEFFT','LEFFV'/
      CHARACTER   TB
      PARAMETER   (TB=CHAR(9))  

C
C     Input1: Reading input files NZZ.in and NLL.in :
C
      OPEN (NIN1, FILE = './Input/NZZ.in', STATUS = 'OLD')
         READ (NIN1,*)
         READ (NIN1,*) NNZ,(NZZ(M), M=1, NNZ)
      CLOSE (NIN1)
C-----------------
      OPEN (NIN2, FILE = './Input/NLL.in', STATUS = 'OLD')
         READ (NIN2,'(3(/))')
         READ (NIN2,*) NNLn,(NLLn(M), M=1, NNLn)
      CLOSE (NIN2)
C
C     Input2: Reading input file FIG.in :
C
      OPEN (NIF1, FILE = './Input/FIG.in', STATUS = 'OLD')
         READ (NIF1,*)
         READ (NIF1,*) NZF,(ZFIG(M), M=1, NZF)
         READ (NIF1,*)
         READ (NIF1,*) NWF,(WFIG(M), M=1, NWF)
      CLOSE (NIF1)
C
C     Read output of LFP_ERF for recalculation to nice wavelengths.
C--------------------------- Input3 ------------------------------------
      OPEN (NOUT3,FILE='./Output/OutLFP_LZ.txt',STATUS='OLD')
         READ(NOUT3,'(A)') COMMENTS(1)
         READ(NOUT3,'(A)') COMMENTS(2)
         READ(NOUT3,'(5(/))')
C-----------------
         DO L=1,109
            J = L
            READ(NOUT3,*) LF(J),EQD(J,1),ESD(J,1),EED(J,1)
     &                   ,ESU(J,1),KEED(J,1),KEEU(J,1),REZ(J,1)
         ENDDO
         READ(NOUT3,'(/)')
         DO L=1,109
            J = L
            READ(NOUT3,*) DUM,ERD(J,1),ERU(J,1),EFD(J,1)
     &                      ,EFU(J,1),KEID(J,1),KEIU(J,1),RIZ(J,1)
         ENDDO
         READ(NOUT3,'(/)')
         DO L=1,109
            J = L
            READ(NOUT3,*) DUM,EQID(J,1),ESID(J,1),EEID(J,1)
     &               ,ESIU(J,1),EID(J,1),EIU(J,1),REIZ(J,1)
         ENDDO
C-----------------
         DO M=2,NZ
            K = M
            READ(NOUT3,'(3(/))')
            DO L=1,109
               J = L
               READ(NOUT3,*) DUM,EQD(J,K),ESD(J,K),EED(J,K)
     &                   ,ESU(J,K),KEED(J,K),KEEU(J,K),REZ(J,K)
            ENDDO
            READ(NOUT3,'(/)')
            DO L=1,109
               J = L
               READ(NOUT3,*) DUM,ERD(J,K),ERU(J,K),EFD(J,K)
     &                      ,EFU(J,K),KEID(J,K),KEIU(J,K),RIZ(J,K)
            ENDDO
            READ(NOUT3,'(/)')
            DO L=1,109
               J = L
               READ(NOUT3,*) DUM,EQID(J,K),ESID(J,K),EEID(J,K)
     &                  ,ESIU(J,K),EID(J,K),EIU(J,K),REIZ(J,K)
            ENDDO
         ENDDO
      CLOSE(NOUT3)

C--------------------------- Input6 ------------------------------------
      OPEN (NOUT6,FILE='./Output/Fig23NUout.txt',STATUS='OLD')
         READ(NOUT6,'(4(/))')
         DO M=1,NZ
            K = M
            READ(NOUT6,'(2(/))')
            DO L = 1, 109
               J = L
               READ(NOUT6,*) DUM,NRD(J,K),NRU(J,K),NFD(J,K),NFU(J,K)
            ENDDO
            READ(NOUT6,*)
         ENDDO
      CLOSE(NOUT6) 
C
C                 Calculation of nice massives:
C
      CALL ARZLINT(LF,EQD,LAM,LFLM, EQDn)
      CALL ARZLINT(LF,ESD,LAM,LFLM, ESDn)
      CALL ARZLINT(LF,EED,LAM,LFLM, EEDn)
      CALL ARZLINT(LF,EID,LAM,LFLM, EIDn)
      CALL ARZLINT(LF,ESU,LAM,LFLM, ESUn)
      CALL ARZLINT(LF,EIU,LAM,LFLM, EIUn)
      CALL ARZLINT(LF,EQID,LAM,LFLM, EQIDn)
      CALL ARZLINT(LF,ESID,LAM,LFLM, ESIDn)
      CALL ARZLINT(LF,ESIU,LAM,LFLM, ESIUn)
      CALL ARZLINT(LF,EEID,LAM,LFLM, EEIDn)
      CALL ARZLINT(LF,ERD,LAM,LFLM, ERDn)
      CALL ARZLINT(LF,ERU,LAM,LFLM, ERUn)
      CALL ARZLINT(LF,NRD,LAM,LFLM, NRDn)
      CALL ARZLINT(LF,NRU,LAM,LFLM, NRUn)
      CALL ARZLINT(LF,EFD,LAM,LFLM, EFDn)
      CALL ARZLINT(LF,EFU,LAM,LFLM, EFUn)
      CALL ARZLINT(LF,NFD,LAM,LFLM, NFDn)
      CALL ARZLINT(LF,NFU,LAM,LFLM, NFUn)
      CALL ARZLINT(LF,KEED,LAM,LFLM, KEEDn)
      CALL ARZLINT(LF,KEEU,LAM,LFLM, KEEUn)
      CALL ARZLINT(LF,KEID,LAM,LFLM, KEIDn)
      CALL ARZLINT(LF,KEIU,LAM,LFLM, KEIUn)
      CALL ARZLINT(LF,REZ,LAM,LFLM, REZn)
      CALL ARZLINT(LF,RIZ,LAM,LFLM, RIZn)
      CALL ARZLINT(LF,REIZ,LAM,LFLM, REIZn)
      DO L = 1, 81
         J =  L
         DO N = 1, NZF
            K = ZFIG(N)
            nKEID(J,N) = 100.*KEIDn(J,K)/KEEDn(J,K)
            nKEIU(J,N) = 100.*KEIUn(J,K)/KEEUn(J,K)
         ENDDO
      ENDDO
C
C    Calculations of CIE and other integral parameters from
C    the nice massives M > M_P (or M_TP)
C    M_P(1) is a CIE tristimulus value X (see Judd & Wyszecki, p.145)
C    M_P(2) is a CIE tristimulus value Y (see Judd & Wyszecki, p.145)
C    M_P(3) is a CIE tristimulus value Z (see Judd & Wyszecki, p.145)
C    M_P(4) is a CIE dominant wavelength (see Judd & Wyszecki, p.170)
C    M_P(5) is a CIE purity of light     (see Judd & Wyszecki, p.170)
C    M_P(6) is an effective wavelength over 380780 nm (see [R3],Ch.7)
C    M_P(7) is an effective wavelength over 400700 nm (see [R3],Ch.7)
C
C     Calculation of  energetic parameters:
C
      CALL D_LFP(EQDn,.TRUE.,LAM, EQD_P)
      CALL D_LFP(ESDn,.TRUE.,LAM, ESD_P)
      CALL D_LFP(EEDn,.TRUE.,LAM, EED_P)
      CALL D_LFP(ERDn,.TRUE.,LAM, ERD_P)
      CALL D_LFP(EFDn,.TRUE.,LAM, EFD_P)
      CALL D_LFP(EIDn,.TRUE.,LAM, EID_P)
      CALL D_LFP(ESUn,.TRUE.,LAM, ESU_P)
      CALL D_LFP(ERUn,.TRUE.,LAM, ERU_P)
      CALL D_LFP(EFUn,.TRUE.,LAM, EFU_P)
      CALL D_LFP(EIUn,.TRUE.,LAM, EIU_P)
      CALL D_LFP(EQIDn,.TRUE.,LAM, EQID_P)
      CALL D_LFP(ESIDn,.TRUE.,LAM, ESID_P)
      CALL D_LFP(ESIUn,.TRUE.,LAM, ESIU_P)
      CALL D_LFP(EEIDn,.TRUE.,LAM, EEID_P)
C
C     Calculation of reflectance parameters:
C
      CALL D_LFP(REZn,.FALSE.,LAM, REZ_P)
      CALL D_LFP(RIZn,.FALSE.,LAM, RIZ_P)
      CALL D_LFP(REIZn,.FALSE.,LAM, REIZ_P)
C
C     Calculation of transmittance parameters:
C
      CALL T_LFP(KEEDn,NZ,Z,LAM, KEED_TP)
      CALL T_LFP(KEEUn,NZ,Z,LAM, KEEU_TP)
      CALL T_LFP(KEIDn,NZ,Z,LAM, KEID_TP)
      CALL T_LFP(KEIUn,NZ,Z,LAM, KEIU_TP)
C
      ! CALL DATE(DATESTRING)

C
C                Creating output files NICE.2out
C--------------------------- Output2 -----------------------------------
      OPEN (NOUT10,FILE='./Output/NICE2out.txt', STATUS='unknown',
     &                                                        RECL=125)
         WRITE(NOUT10, *) COMMENTS(1)
         WRITE(NOUT10, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOUT10,3,118,'*')
         WRITE (NOUT10,95) ' Depth dependent data: '
         DO L=1,NNLn
            J = NLLn(L)
            CALL DRAWDIVLINE(NOUT10,3,118,'=')
            WRITE (NOUT10,157) 'Wavelength = ',LAM(J),'  nm.'
            CALL DRAWDIVLINE(NOUT10,3,118,'*')
            WRITE (NOUT10,91) 'Z, m',TB,'EQD',TB,'ESD',TB,'EED'        
     &             ,TB,'ESU',TB,'KEED, 1/m',TB,'KEEU, 1/m',TB,'REZ'
            DO M=1,NZ
               K = M
               WRITE(NOUT10,217) Z(K),TB,EQDn(J,K),TB,ESDn(J,K)
     &                            ,TB,EEDn(J,K),TB,ESUn(J,K),TB
     &                   ,KEEDn(J,K),TB,KEEUn(J,K),TB,REZn(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT10,3,118,'*')
            WRITE (NOUT10,91) 'Z, m',TB,'ERD',TB,'ERU',TB,'EFD'        
     &              ,TB,'EFU',TB,'KEID, 1/m',TB,'KEIU, 1/m',TB,'RIZ'
            DO M = 1, NZ
               K = M
               WRITE(NOUT10,217) Z(K),TB,ERDn(J,K),TB,ERUn(J,K)
     &                       ,TB,EFDn(J,K),TB,EFUn(J,K),TB
     &                       ,KEIDn(J,K),TB,KEIUn(J,K),TB,RIZn(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT10,3,118,'*')
            WRITE (NOUT10,91) 'Z, m',TB,'EQID',TB,'ESID',TB,'EEID'       
     &                ,TB,'ESIU',TB,'EID',TB,'EIU',TB,'REIZ'
            DO M = 1, NZ
               K = M
               WRITE(NOUT10,217) Z(K),TB,EQIDn(J,K),TB,ESIDn(J,K),TB
     &                          ,EEIDn(J,K),TB,ESIUn(J,K),TB
     &                          ,EIDn(J,K),TB,EIUn(J,K),TB,REIZn(J,K)
            ENDDO
            WRITE (NOUT10,*)
         ENDDO
      CLOSE(NOUT10)

C--------------------------- output3 -----------------------------------
      OPEN (NOUT11,FILE='./Output/NICE3out.txt', STATUS='unknown',
     &                                                        RECL=125)
         WRITE(NOUT11, *) COMMENTS(1)
         WRITE(NOUT11, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOUT11,3,118,'*')
         WRITE (NOUT11,95) ' Depth dependent data: '
         DO M=1,NNZ
            K = NZZ(M)
            CALL DRAWDIVLINE(NOUT11,3,118,'=')
            WRITE (NOUT11,167) 'Depth, Z = ',Z(K),' m.'
            CALL DRAWDIVLINE(NOUT11,3,118,'*')
            WRITE (NOUT11,92)'LAM, nm ',TB,'EQD',TB,'ESD',TB,'EED'  
     &         ,TB,'ESU',TB,'KEED, 1/m',TB,'KEEU, 1/m',TB,'REZ'
            DO L=1,81
               J = L
               WRITE(NOUT11,227) LAM(J),TB,EQDn(J,K),TB,ESDn(J,K)
     &                     ,TB,EEDn(J,K),TB,ESUn(J,K),TB
     &                     ,KEEDn(J,K),TB,KEEUn(J,K),TB,REZn(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT11,3,118,'*')
            WRITE (NOUT11,92) 'LAM, nm',TB,'ERD',TB,'ERU',TB,'EFD'
     &                ,TB,'EFU',TB,'KEID, 1/m',TB,'KEIU, 1/m',TB,'RIZ'
            DO L=1,81
               J = L
               WRITE(NOUT11,227) LAM(J),TB,ERDn(J,K),TB,ERUn(J,K),TB
     &                         ,EFDn(J,K),TB,EFUn(J,K),TB
     &                         ,KEIDn(J,K),TB,KEIUn(J,K),TB,RIZn(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT11,3,118,'*')
            WRITE (NOUT11,92) 'LAM, nm',TB,'EQID',TB,'ESID',TB
     &             ,'EEID',TB,'ESIU',TB,'EID',TB,'EIU',TB,'REIZ'
            DO L=1,81
               J = L
               WRITE(NOUT11,227) LAM(J),TB,EQIDn(J,K),TB,ESIDn(J,K)
     &                        ,TB,EEIDn(J,K),TB,ESIUn(J,K),TB
     &                        ,EIDn(J,K),TB,EIUn(J,K),TB,REIZn(J,K)
            ENDDO
            WRITE (NOUT11,*)
         ENDDO
      CLOSE(NOUT11)

C--------------------------- output4 -----------------------------------
      OPEN (NOUT12,FILE='./Output/NICE4out.txt', STATUS='unknown',
     &                                                        RECL=300)
         WRITE(NOUT12, *) COMMENTS(1)
         WRITE(NOUT12, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOUT12,3,118,'=')
         WRITE (NOUT12,*)'CIE parameters of the depth dependent data:'
         WRITE (NOUT12,*)
         DO J=1,7
            K=J
            WRITE (NOUT12,95) ''
            WRITE (NOUT12,98) '  Parameter = ', P_NAME(K),':'
            WRITE (NOUT12,95) ''
            CALL DRAWDIVLINE(NOUT12,3,118,'*')
            WRITE (NOUT12,91) 'z, m',TB,'REZ',TB,'RIZ',TB,'REIZ'
     &              ,TB,'KEED',TB,'KEEU',TB,'KEID',TB,'KEIU'
            DO M=1,NZ
               N=M
            WRITE (NOUT12,217) Z(N), TB,REZ_P(K,N),TB,RIZ_P(K,N) 
     &                        ,TB,REIZ_P(K,N),TB,KEED_TP(K,N),TB
     &             ,KEEU_TP(K,N),TB,KEID_TP(K,N),TB,KEIU_TP(K,N)
            ENDDO
            CALL DRAWDIVLINE(NOUT12,3,118,'=')
            WRITE (NOUT12,98) '  Parameter = ', P_NAME(K),':'
            CALL DRAWDIVLINE(NOUT12,3,118,'=')
            WRITE (NOUT12,91) 'z, m',TB,'EQD',TB,'ESD',TB,'EED'
     &                     ,TB,'ERD',TB,'EFD',TB,'EID',TB,'ESU'
            DO M=1,31
               N=M
               WRITE (NOUT12,217) Z(N),TB,EQD_P(K,N),TB,ESD_P(K,N)
     &                                ,TB,EED_P(K,N),TB,ERD_P(K,N)
     &                  ,TB,EFD_P(K,N),TB,EID_P(K,N),TB,ESU_P(K,N)
            ENDDO
            CALL DRAWDIVLINE(NOUT12,3,118,'=')
            WRITE (NOUT12,98) '  Parameter = ', P_NAME(K),':'
            CALL DRAWDIVLINE(NOUT12,3,118,'=')
            WRITE(NOUT12,91) 'z, m',TB,'ERU',TB,'EFU',TB,'EIU'
     &                ,TB,'EQID',TB,'ESID',TB,'ESIU',TB,'EEID'
            DO M=1,NZ
               N=M
               WRITE (NOUT12,217) Z(N),TB,ERU_P(K,N),TB,EFU_P(K,N)
     &                               ,TB,EIU_P(K,N),TB,EQID_P(K,N)
     &               ,TB,ESID_P(K,N),TB,ESIU_P(K,N),TB,EEID_P(K,N)
            ENDDO
            WRITE(NOUT12,*)
         ENDDO
      CLOSE(NOUT12)

C------------ Output5 for Relative Inelastic Irradiances ---------------
      OPEN (NOF5,FILE='./Output/RelR_FIrrOut.txt',STATUS='unknown',
     &                                                        RECL=300)
         WRITE(NOF5, *) COMMENTS(1)
         WRITE(NOF5, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOF5,3,70,'*')
         WRITE (NOF5,'(14X,A)') ' Relative Raman and Fluorescent Irradia
     &nces in %'
         DO M=1,NZ
            K = M
            CALL DRAWDIVLINE(NOF5,3,70,'=')
            WRITE (NOF5,168) 'Depth, Z = ',Z(K),' m.'
            CALL DRAWDIVLINE(NOF5,3,70,'-')
            WRITE (NOF5,90) 'LAM,nm',TB,'ERD/EID',TB,'ERU/EIU'
     &                              ,TB,'EFD/EID',TB,'EFU/EIU'
            DO L = 1, 81
               J = L
               WRITE(NOF5,250) LAM(J),TB,NRDn(J,K),TB,NRUn(J,K)
     &                               ,TB,NFDn(J,K),TB,NFUn(J,K)
            ENDDO
            WRITE(NOF5,*)
         ENDDO
      CLOSE(NOF5) 
 
C=======================================================================
C-------------------- Output6 for Figs.2a,&3a,b ------------------------
C=======================================================================
         K1 = WFIG(1)      ! should correspond to 425 nm
         K2 = WFIG(2)      ! should correspond to 500 nm
         K3 = WFIG(3)      ! should correspond to 685 nm
C-------------------------------------------------------
      OPEN (NOF6,FILE='./Output/Fig2a3abOut.txt', STATUS='unknown',
     &                                                        RECL=120)
         WRITE(NOF6, *) COMMENTS(1)
         WRITE(NOF6, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOF6,3,100,'*')
         WRITE (NOF6,'(12X,A)')
     &        ' Relative Raman and Fluorescent Irradiances in % '
         CALL DRAWDIVLINE(NOF6,3,100,'=')
         WRITE (NOF6,71) 'Z, m',TB,'ERD/EID(425nm)',TB,'ERU/EIU(425nm)'
     &                      ,TB,'ERD/EID(500nm)',TB,'ERU/EIU(500nm)'      
     &                      ,TB,'ERD/EID(675nm)',TB,'ERU/EIU(675nm)'      
         DO M=1,NZ
            K = M
            WRITE(NOF6,218) Z(K),TB,NRDn(K1,K),TB,NRUn(K1,K)
     &                          ,TB,NRDn(K2,K),TB,NRUn(K2,K)
     &                          ,TB,NRDn(K3,K),TB,NRUn(K3,K)
         ENDDO
         CALL DRAWDIVLINE(NOF6,3,100,'*')
         WRITE (NOF6,71) 'Z, m',TB,'EFD/EID(425nm)',TB,'EFU/EIU(425nm)'
     &                      ,TB,'EFD/EID(500nm)',TB,'EFU/EIU(500nm)'      
     &                      ,TB,'EFD/EID(675nm)',TB,'EFU/EIU(675nm)'      
         DO M=1,NZ
            K = M
           WRITE(NOF6,218) Z(K),TB,NFDn(K1,K),TB,NFUn(K1,K)
     &                         ,TB,NFDn(K2,K),TB,NFUn(K2,K)
     &                         ,TB,NFDn(K3,K),TB,NFUn(K3,K)
         ENDDO
      CLOSE(NOF6)

C=======================================================================
C----------------------- output7 for FigS.2b&3cd -----------------------------
C=======================================================================
         K1 = ZFIG(1)         ! corresponds to 0.20 m
         K2 = ZFIG(2)         ! corresponds to 1.00 m
         K3 = ZFIG(3)         ! corresponds to 5.00 m
         K4 = ZFIG(4)         ! corresponds to 25.0 m
         K5 = ZFIG(5)         ! corresponds to 125. m
C---------------------------------------------------
      OPEN (NOF7,FILE='./Output/Fig2b3bcOut.txt', STATUS='unknown',
     &                                                        RECL=172)
         WRITE(NOF7, *) COMMENTS(1)
         WRITE(NOF7, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOF7,3,168,'*')
         WRITE (NOF7,'(12X,A)')
     &        ' Relative Raman and Fluorescent Irradiances in % '
         CALL DRAWDIVLINE(NOF7,3,168,'=')
         WRITE (NOF7,94)'LAM, nm'
     &                        ,TB,'ERD/EID(0.20m)',TB,'ERU/EIU(0.20m)'
     &                        ,TB,'ERD/EID(1.00m)',TB,'ERU/EIU(1.00m)'
     &                        ,TB,'ERD/EID(5.00m)',TB,'ERU/EIU(5.00m)'
     &                        ,TB,'ERD/EID(25.0m)',TB,'ERU/EIU(25.0m)'
     &                        ,TB,'ERD/EID(120.m)',TB,'ERU/EIU(120.m)'
         DO L=1,81
            J = L
            WRITE(NOF7,229) LAM(J)
     &                         ,TB,NRDn(J,K1),TB,NRUn(J,K1)
     &                         ,TB,NRDn(J,K2),TB,NRUn(J,K2)
     &                         ,TB,NRDn(J,K3),TB,NRUn(J,K3)
     &                         ,TB,NRDn(J,K4),TB,NRUn(J,K4)
     &                         ,TB,NRDn(J,K5),TB,NRUn(J,K5)
         ENDDO
         CALL DRAWDIVLINE(NOF7,2,168,'*')
         WRITE (NOF7,94)'LAM, nm'
     &                        ,TB,'EFD/EID(0.20m)',TB,'EFU/EIU(0.20m)'
     &                        ,TB,'EFD/EID(1.00m)',TB,'EFU/EIU(1.00m)'
     &                        ,TB,'EFD/EID(5.00m)',TB,'EFU/EIU(5.00m)'
     &                        ,TB,'EFD/EID(25.0m)',TB,'EFU/EIU(25.0m)'
     &                        ,TB,'EFD/EID(120.m)',TB,'EFU/EIU(120.m)'
         DO L=1,81
            J = L
            WRITE(NOF7,229) LAM(J),TB,NFDn(J,K1),TB,NFUn(J,K1)
     &                            ,TB,NFDn(J,K2),TB,NFUn(J,K2)
     &                            ,TB,NFDn(J,K3),TB,NFUn(J,K3)
     &                            ,TB,NFDn(J,K4),TB,NFUn(J,K4)
     &                            ,TB,NFDn(J,K5),TB,NFUn(J,K5)
         ENDDO
      CLOSE(NOF7)

C=======================================================================
C----------------------- output8 for Fig.4 -----------------------------
C=======================================================================
      OPEN (NOF8,FILE='./Output/Fig4out.txt', STATUS='unknown',RECL=190)
         WRITE(NOF8, *) COMMENTS(1)
         WRITE(NOF8, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOF8,3,184,'*')
         WRITE (NOF8,'(15X,A)')
     &      ' Normalized Inelastic Diffuse Attenuat. coeff. in % '
         CALL DRAWDIVLINE(NOF8,3,184,'=')
         WRITE (NOF8,93)'LAM, nm',TB,'ALI'
     &                      ,TB,'KEID/KEED(.20)',TB,'KEIU/KEEU(.20)'
     &                      ,TB,'KEID/KEED(1.0)',TB,'KEIU/KEEU(1.0)'
     &                      ,TB,'KEID/KEED(5.0)',TB,'KEIU/KEEU(5.0)'
     &                      ,TB,'KEID/KEED(25.)',TB,'KEIU/KEEU(25.)'
     &                      ,TB,'KEID/KEED(120)',TB,'KEIU/KEEU(120)'
         DO L=1,81
            J = L
            WRITE(NOF8,228) LAM(J),TB,ALIn(J)
     &       ,TB,nKEID(J,1),TB,nKEIU(J,1),TB,nKEID(J,2),TB,nKEIU(J,2)
     &       ,TB,nKEID(J,3),TB,nKEIU(J,3),TB,nKEID(J,4),TB,nKEIU(J,4)
     &       ,TB,nKEID(J,5),TB,nKEIU(J,5)
         ENDDO
       CLOSE(NOF8)



C
  71  FORMAT (3X,A6,6(A1,A14))
  90  FORMAT (3X,A8,4(A1,A14))
  91  FORMAT (X,A8,7(A1,A14))
  92  FORMAT (3X,A4,7(A1,A14))
  93  FORMAT (3X,A7,A1,A3,10(A1,A14))
  94  FORMAT (3X,A7,10(A1,A14))
  95  FORMAT (40X,A)
  97  FORMAT (30X,A14,F10.6,A2)
  98  FORMAT (39X,A14,A5,A1)
 157  FORMAT (37X,A20,F4.0,A2)
 167  FORMAT (37X,A2,F6.2,A2)
 168  FORMAT (25X,A2,F6.2,A2)
 217  FORMAT (X,F8.2,7(A1,E14.7))
 218  FORMAT (3X,F6.2,6(A1,E14.7))
 227  FORMAT (3X,F4.0,7(A1,E14.7))
 228  FORMAT (3X,F7.0,11(A1,E14.7))
 229  FORMAT (3X,F7.0,10(A1,E14.7))
 250  FORMAT (3X,F8.0,4(A1,E14.7))

      RETURN
      END
C***********************************************************************
