C***********************************************************************
C                              Program NICE                            *
C               Previous modification: November 24, 1992               *
C                  1992-2007 by Vladimir I. Haltrin                   *
C       Last modification: June 1, 2007 by  Vladimir I. Haltrin        *
C***********************************************************************
C                      Program NICE
C***********************************************************************
C            Files used to compile this program:
C                              main.f NICEWL.f NICEZL.f NICEINT.f CIES.f
C***********************************************************************
      IMPLICIT     none
      EXTERNAL     NICEWL, NICEZL     ! in the files NICEWL.f, NICEZL.f
      INTEGER*4    J, NZ,LFLM(81), NIN1 /21/, NIN2 /22/
      REAL*8       LAM(81),CEn(81),CIn(81),ALn(81),ALIn(81),Z(31),LAMJ

C
C            Reading input files LAM_LF.in and Z_NZ.in:
C--------------------------- Input1 ------------------------------------
      OPEN (NIN1,FILE='./Input/LAM_LF.in',STATUS='OLD')
         READ(NIN1,*) (LFLM(J), J=1,81)
      CLOSE (NIN1)
C--------------------------- Input2 ------------------------------------
      OPEN (NIN2, FILE = './Input/Z_NZ.in', STATUS = 'OLD')
          READ (NIN2,*)
        READ (NIN2,*) NZ                 ! <- number of depths
        READ (NIN2,*) (Z(J), J=1, NZ)    ! <- a set of depths
      CLOSE (NIN2)
C
      DO J = 1, 81, 3
         LAMJ = 375.+ 5.*J
         LAM(J)   = LAMJ
         LAM(J+1) = LAMJ + 5.
         LAM(J+2) = LAMJ + 10.
      ENDDO
                      ! a number and array of output wavelengths:
      CALL NICEWL(LFLM,LAM, CEn,CIn,ALn,ALIn)      ! a number and
      CALL NICEZL(CEn,CIn,ALn,ALIn,LFLM,LAM,NZ,Z)  ! a array of depths.

      END
C***********************************************************************
