C***********************************************************************
C                           UNIT AUXIL                                 *
C               Previous modification: November 25, 1992               *
C                  1992-2007 by Vladimir I. Haltrin                   *
C       Last modification: June 1, 2007 by  Vladimir I. Haltrin        *
C***********************************************************************
      SUBROUTINE CWRITE(NFILE,C,Y,P,H,PL,PS)
C***********************************************************************
      IMPLICIT     none
      INTEGER*4    NFILE
      REAL*8       C,Y,P,H,PL,PS

      WRITE(NFILE,'(2X,6(A,F7.3))') ' C = ',C,'; Y = ',Y,'; P = ',P
     &                         ,'; H = ',H,'; PL = ',PL,'; PS = ',PS

      RETURN
      END              !  of SUBROUTINE CWRITE

C***********************************************************************
      SUBROUTINE ZWRITE(NFILE,ZANG,MUS,Q,BTR,ETC,ETY)
C***********************************************************************
      IMPLICIT     none
      INTEGER*4    NFILE
      REAL*8       ZANG,MUS,Q,BTR,ETC,ETY				! 

      WRITE(NFILE,'(2X,A,F8.4,A,F8.4,A,F4.0,3(A,F8.4))')
     &            ' ZANG = ',ZANG,'; MUS = ',MUS,'; Q = ',Q
     &           ,'; BTR = ',BTR,'; ETC = ',ETC,'; ETY = ',ETY

      RETURN
      END              !  of SUBROUTINE ZWRITE

C***********************************************************************
	SUBROUTINE DRAWDIVLINE(FNUM,NUMSP,NUMZNK,ZNAK)
C***********************************************************************
      IMPLICIT     none
      INTEGER*4    J,K, FNUM,NUMSP,NUMZNK
      CHARACTER    ZNAK

      WRITE (FNUM,*) (' ',J=1, NUMSP),(ZNAK,K=1, NUMZNK)

      RETURN
      END

C***********************************************************************
	SUBROUTINE INCYBAND(J, CFBAND,YFBAND)
C***********************************************************************
      IMPLICIT     none
      INTEGER*4    J, K
      LOGICAL      CFBAND,YFBAND

      K = J
C     =========== chlorophyll-a fluorescent emission band (near 685 nm):
      IF ((K.GE.1).AND.(K.LE.28)) THEN
         CFBAND = .TRUE.                      !  i.e. inside CF-band
      ELSE
         CFBAND = .FALSE.
      ENDIF

C     ====== yellow substance fluorescent emission band (near 425 nm):
      IF ((K.GE.29).AND.(K.LE.143)) THEN
         YFBAND = .TRUE.                      !  i.e. inside YF-band
      ELSE
         YFBAND = .FALSE.
      ENDIF

      RETURN
      END
C***********************************************************************
