C***********************************************************************
C                            UNIT ERFLFPout                            *
C               Previous modification: Februaryr 24, 1993              *
C                  1992-2007 by Vladimir I. Haltrin                   *
C       Last modification: June 1, 2007 by  Vladimir I. Haltrin        *
C***********************************************************************
      SUBROUTINE OutputLFP(C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY
     &     ,DT, LF, A,B,CE,BB,AL,D,DI, X,MU,RB,RW,RS,KBA,KOA
     &     ,AI,CI,ALI,XI,MUI,RBI,RSI, RWI,ALFI,DRR,DRF,RI,KBIA,KOIA)
C***********************************************************************
      IMPLICIT   NONE
      EXTERNAL   CWRITE,ZWRITE,DRAWDIVLINE         ! in the file AUXIL.f
      INTEGER*4  NOUT /21/, L,J
      REAL*8     C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY,LF(165)
      REAL*8     A(165),B(165),CE(165),BB(165),AL(165),X(165),MU(165)
      REAL*8     RB(165),RW(165),RS(165),KBA(165),KOA(165),AI(165)
      REAL*8     CI(165),ALI(165),XI(165),MUI(165),RBI(165),RSI(165)
      REAL*8     RWI(165),ALFI(165),RI(165),KBIA(165),KOIA(165)
      REAL*8     D(109),DI(109),DRR(109),DRF(109)
      CHARACTER  TB,DT*9

      TB = CHAR(9)
      OPEN (NOUT,FILE='./Output/OutputLFP.txt',STATUS='unknown',
     &                                                      RECL=125)
         CALL CWRITE(NOUT, C,Y,P,H,PL,PS)
         CALL ZWRITE(NOUT, ZANG,MUS,Q,BTR,ETC,ETY)
         CALL DRAWDIVLINE(NOUT,2,119,'=')
         WRITE (NOUT,95) '    Elastic data:    '
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,91) ' LAM, nm',TB,'A, 1/m',TB,'B ,1/m',TB
     &            ,'CE ,1/m',TB,'BB, 1/m',TB,'AL',TB,'D, m',TB,'DI, m'
         DO L = 1, 109
            J = 110-L
            WRITE(NOUT,215) LF(J),TB, A(J),TB,B(J),TB,CE(J)
     &                   ,TB,BB(J),TB,AL(J),TB,D(J),TB,DI(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,91) 'LAM, nm',TB,'X',TB,'MU',TB,'RB',TB,'RW'
     &                          ,TB,'RS',TB,'KBA,1/m',TB,'KOA,1/m'
         DO L = 1, 109
            J = 110-L
            WRITE(NOUT,215) LF(J),TB, X(J),TB,MU(J),TB,RB(J)
     &             , TB,RW(J),TB,RS(J),TB,KBA(J),TB,KOA(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,*)
         WRITE (NOUT,95) '    Inelastic data:    '
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE(NOUT,91) 'LAM, nm',TB,'AI, 1/m',TB,'CI, 1/m',TB
     &             ,'ALI ,1/m',TB,'XI',TB,'MUI',TB,'RBI',TB,'RS'
         DO L = 1, 109
            J = 110-L
            WRITE(NOUT,215) LF(J),TB, AI(J),TB,CI(J),TB,ALI(J)
     &                  ,TB,XI(J),TB,MUI(J),TB,RBI(J),TB,RSI(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,91) 'LAM, nm',TB,'RWI',TB,'ALFI, 1/m',TB,'DRR'
     &                 ,TB,'DRF',TB,'RI',TB,'KBIA, 1/m',TB,'KOIA, 1/m'
         DO L = 1, 109
            J = 110-L
            WRITE(NOUT,215) LF(J),TB, RWI(J),TB,ALFI(J),TB,DRR(J)
     &                   ,TB,DRF(J),TB,RI(J),TB,KBIA(J),TB,KOIA(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'')
         WRITE(NOUT,'(3X,A)') DT
      CLOSE(NOUT)

  91  FORMAT (2X,A8,7(A1,A14))
  95  FORMAT (31X,A)
 215  FORMAT (2X,F8.4,7(A1,1pG14.7))
      RETURN
      END

C***********************************************************************
      SUBROUTINE OutLFP_ZL(C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY,NNL,NLL
     &        ,NZ,DT,Awo,CW,LF, Z,EQD,ESD,EED,ESU,KEED,KEEU,REZ
     &                               ,ERD,ERU,EFD,EFU,KEID,KEIU,RIZ
     &                               ,EQID,ESID,EEID,ESIU,EID,EIU,REIZ)
C***********************************************************************
      IMPLICIT   NONE
      EXTERNAL   CWRITE,ZWRITE,DRAWDIVLINE         ! in the file AUXIL.f
      INTEGER*4  NOUT /22/, K,L,M,J,NZ,NNL,NLL(NNL)
      REAL*8     C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY
      REAL*8     Awo(165),CW(165),LF(165)
      REAL*8     Z(NZ),EQD(109,31),ESD(109,31),EED(109,31)
      REAL*8     ESU(109,31),KEED(109,31),KEEU(109,31),REZ(109,31)
      REAL*8     ERD(109,31),ERU(109,31),EFD(109,31)
      REAL*8     EFU(109,31),KEID(109,31),KEIU(109,31),RIZ(109,31)
      REAL*8     EQID(109,31),ESID(109,31),EEID(109,31),ESIU(109,31)
      REAL*8     EID(109,31),EIU(109,31),REIZ(109,31)
C     CHARACTER  TB, FM*26 /"(2X,F8.2,7(A1,1pE14.7E+3))"/
      CHARACTER  TB, FM*23 /"(2X,F8.2,7(A1,1pG14.7))"/
      CHARACTER  *9 DT     ! 12345678901234567890123

      TB = CHAR(9)
      OPEN (NOUT,FILE='./Output/OutLFP_ZL.txt',STATUS='unknown',
     &                                                      RECL=125)
         CALL CWRITE(NOUT, C, Y, P, H, PL, PS)
         CALL ZWRITE(NOUT, ZANG,MUS,Q,BTR,ETC,ETY)
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,95) '    Depth dependent data:    '
         DO L=1,NNL
            J = NLL(L)
            CALL DRAWDIVLINE(NOUT,2,119,'=')
            WRITE (NOUT,157) 'Wavelength = ',LF(J)
     &         ,'  nm ; Awo = ',Awo(J),' 1/m; Cwo = ',CW(J),' 1/m.'
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'Z, m',TB,'EQD',TB,'ESD',TB,'EED'
     &            ,TB,'ESU',TB,'KEED, 1/m',TB,'KEEU, 1/m',TB,'REZ'
            DO M=1,NZ
               K = M
               WRITE(NOUT,FM) Z(K),TB,EQD(J,K),TB,ESD(J,K),TB,EED(J,K)
     &              ,TB,ESU(J,K),TB,KEED(J,K),TB,KEEU(J,K),TB,REZ(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'Z, m',TB,'ERD',TB,'ERU',TB,'EFD'
     &                 ,TB,'EFU',TB,'KEID, 1/m',TB,'KEIU, 1/m',TB,'RIZ'
            DO M = 1, NZ
               K = M
               WRITE(NOUT,FM) Z(K),TB,ERD(J,K),TB,ERU(J,K),TB,EFD(J,K)
     &             ,TB,EFU(J,K),TB,KEID(J,K),TB,KEIU(J,K),TB,RIZ(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'Z,m',TB,'EQID',TB,'ESID',TB,'EEID'
     &                          ,TB,'ESIU',TB,'EID',TB,'EIU',TB,'REIZ'
            DO M = 1, NZ
               K = M
               WRITE(NOUT,FM) Z(K),TB,EQID(J,K),TB,ESID(J,K),TB
     &                          ,EEID(J,K),TB,ESIU(J,K),TB
     &                          ,EID(J,K),TB,EIU(J,K),TB,REIZ(J,K)
            ENDDO
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'')
         WRITE(NOUT,'(3X,A)') DT
      CLOSE(NOUT)

  91  FORMAT (2X,A8,7(A1,A14))
  95  FORMAT (31X,A)
 157  FORMAT (18X,3(A,F9.4),A)

      RETURN
      END

C***********************************************************************
      SUBROUTINE OutLFP_LZ(C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY,NNL,NLL
     &        ,NZ,DT,Awo,CW,LF, Z,EQD,ESD,EED,ESU,KEED,KEEU,REZ
     &                               ,ERD,ERU,EFD,EFU,KEID,KEIU,RIZ
     &                               ,EQID,ESID,EEID,ESIU,EID,EIU,REIZ)
C***********************************************************************
      IMPLICIT   NONE
      EXTERNAL   CWRITE,ZWRITE,DRAWDIVLINE         ! in the file AUXIL.f
      INTEGER*4  NOUT /23/, K,L,M,J,NZ,NNL,NLL(NNL)
      REAL*8     C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY
      REAL*8     Awo(165),CW(165),LF(165)
      REAL*8     Z(NZ),EQD(109,31),ESD(109,31),EED(109,31)
      REAL*8     ESU(109,31),KEED(109,31),KEEU(109,31),REZ(109,31)
      REAL*8     ERD(109,31),ERU(109,31),EFD(109,31)
      REAL*8     EFU(109,31),KEID(109,31),KEIU(109,31),RIZ(109,31)
      REAL*8     EQID(109,31),ESID(109,31),EEID(109,31),ESIU(109,31)
      REAL*8     EID(109,31),EIU(109,31),REIZ(109,31)
      CHARACTER  TB,DT*9, FM*23 /"(2X,F8.4,7(A1,1pG14.7))"/

      TB = CHAR(9)
      OPEN (NOUT,FILE='./Output/OutLFP_LZ.txt',STATUS='unknown',
     &                                                      RECL=125)
         CALL CWRITE(NOUT, C, Y, P, H, PL, PS)
         CALL ZWRITE(NOUT, ZANG,MUS,Q,BTR,ETC,ETY)
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,95) '    Depth dependent data:    '
         DO M=1,NZ
            K = M
            CALL DRAWDIVLINE(NOUT,2,119,'=')
            WRITE (NOUT,167) 'Depth, Z = ',Z(K),' m.'
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'LAM, nm',TB,'EQD',TB,'ESD',TB,'EED'
     &               ,TB,'ESU',TB,'KEED, 1/m',TB,'KEEU, 1/m',TB,'REZ'
            DO L=1,109
               J = 110-L
               WRITE(NOUT,FM) LF(J),TB,EQD(J,K),TB,ESD(J,K),TB
     &                        ,EED(J,K),TB,ESU(J,K),TB
     &                        ,KEED(J,K),TB,KEEU(J,K),TB,REZ(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'LAM, nm',TB,'ERD',TB,'ERU',TB,'EFD'
     &              ,TB,'EFU',TB,'KEID, 1/m',TB,'KEIU, 1/m',TB,'RIZ'
            DO L=1,109
               J = 110-L
               WRITE(NOUT,FM) LF(J),TB,ERD(J,K),TB,ERU(J,K),TB
     &                                  ,EFD(J,K),TB,EFU(J,K),TB
     &                          ,KEID(J,K),TB,KEIU(J,K),TB,RIZ(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'LAM, nm',TB,'EQID',TB,'ESID',TB,'EEID'
     &                        ,TB,'ESIU',TB,'EID',TB,'EIU',TB,'REIZ'
            DO L=1,109
               J = 110-L
               WRITE(NOUT,FM) LF(J),TB,EQID(J,K),TB,ESID(J,K),TB
     &                                  ,EEID(J,K),TB,ESIU(J,K),TB
     &                           ,EID(J,K),TB,EIU(J,K),TB,REIZ(J,K)
            ENDDO
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'')
         WRITE(NOUT,'(3X,A)') DT
      CLOSE(NOUT)

  91  FORMAT (2X,A8,7(A1,A14))
  95  FORMAT (31X,A)
 167  FORMAT (36X,A11,F7.2,A3)	

      RETURN
      END

C***********************************************************************
      SUBROUTINE OutpNuLFP(C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY
     &     ,NNR,NRR,DT, NU, A,B,CE,BB,AL,D,DI, X,MU,RB,RW,RS,KBA,KOA
     &     ,AI,CI,ALI,XI,MUI,RBI,RSI, RWI,ALFI,DRR,DRF,RI,KBIA,KOIA)
C
C        Auxilary output for recalculation of narrow zones, 
C       i.e., output of data for NU(J) {J = NRR(L), L=1,,NNR}
C***********************************************************************
      IMPLICIT   NONE
      EXTERNAL   CWRITE,ZWRITE,DRAWDIVLINE         ! in the file AUXIL.f
      INTEGER*4  NOUT /24/, L,J,NNR,NRR(NNR)
      REAL*8     C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY,NU(165)
      REAL*8     A(165),B(165),CE(165),BB(165),AL(165),X(165),MU(165)
      REAL*8     RB(165),RW(165),RS(165),KBA(165),KOA(165),AI(165)
      REAL*8     CI(165),ALI(165),XI(165),MUI(165),RBI(165),RSI(165)
      REAL*8     RWI(165),ALFI(165),RI(165),KBIA(165),KOIA(165)
      REAL*8     D(109),DI(109),DRR(109),DRF(109)
      CHARACTER  TB,DT*9, FM*23 /"(3X,F8.0,7(A1,1pG14.7))"/

      TB = CHAR(9)
      OPEN (NOUT,FILE='./Output/OutpNuLFP.txt',STATUS='unknown',
     &                                                      RECL=125)
         CALL CWRITE(NOUT, C,Y,P,H,PL,PS)
         CALL ZWRITE(NOUT, ZANG,MUS,Q,BTR,ETC,ETY)
         CALL DRAWDIVLINE(NOUT,2,119,'=')
         WRITE (NOUT,95) '   Elastic data:'
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,91) 'NU, 1/cm',TB,'A, 1/m',TB,'B, 1/m',TB
     &            ,'CE, 1/m',TB,'BB, 1/m',TB,'AL',TB,'D, m',TB,'DI, m'
         DO L = 1, NNR
            J = NRR(L)
            WRITE(NOUT,FM) NU(J),TB, A(J),TB,B(J),TB,CE(J)
     &                   ,TB,BB(J),TB,AL(J),TB,D(J),TB,DI(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,91) 'NU, 1/cm',TB,'X',TB,'MU',TB,'RB'
     &                 ,TB,'RW',TB,'RS',TB,'KBA, 1/m',TB,'KOA, 1/m'
         DO L = 1, NNR
            J = NRR(L)
            WRITE(NOUT,FM) NU(J),TB, X(J),TB,MU(J),TB,RB(J)
     &                 ,TB,RW(J),TB,RS(J),TB,KBA(J),TB,KOA(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,*)
         WRITE (NOUT,95) '    Inelastic data:'
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE(NOUT,91) 'NU, 1/cm',TB,'AI, 1/m',TB,'CI, 1/m',TB
     &              ,'ALI, 1/m',TB,'XI',TB,'MUI',TB,'RBI',TB,'RSI'
         DO L = 1, NNR
            J = NRR(L)
            WRITE(NOUT,FM) NU(J),TB, AI(J),TB,CI(J),TB,ALI(J)
     &                  ,TB,XI(J),TB,MUI(J),TB,RBI(J),TB,RSI(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,91) 'NU, 1/cm',TB,'RWI',TB,'ALFI, 1/m',TB,'DRR'
     &                ,TB,'DRF',TB,'RI',TB,'KBIA, 1/m',TB,'KOIA, 1/m'
         DO L = 1, NNR
            J = NRR(L)
            WRITE(NOUT,FM) NU(J),TB, RWI(J),TB,ALFI(J),TB,DRR(J)
     &                   ,TB,DRF(J),TB,RI(J),TB,KBIA(J),TB,KOIA(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'')
         WRITE(NOUT,'(3X,A)') DT
      CLOSE(NOUT)

  91  FORMAT (2X,A8,7(A1,A14))
  95  FORMAT (31X,A)

      RETURN
      END

C***********************************************************************
      SUBROUTINE OutLFPnZL(C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY,NNR,NRR
     &        ,NZ,DT,Awo,CW,LF, Z,EQD,ESD,EED,ESU,KEED,KEEU,REZ
     &                               ,ERD,ERU,EFD,EFU,KEID,KEIU,RIZ
     &                               ,EQID,ESID,EEID,ESIU,EID,EIU,REIZ)
C***********************************************************************
      IMPLICIT   NONE
      EXTERNAL   CWRITE,ZWRITE,DRAWDIVLINE         ! in the file AUXIL.f
      INTEGER*4  NOUT /25/, K,L,M,J,NZ,NNR,NRR(NNR)
      REAL*8     C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY
      REAL*8     Awo(165),CW(165),LF(165)
      REAL*8     Z(NZ),EQD(109,31),ESD(109,31),EED(109,31)
      REAL*8     ESU(109,31),KEED(109,31),KEEU(109,31),REZ(109,31)
      REAL*8     ERD(109,31),ERU(109,31),EFD(109,31)
      REAL*8     EFU(109,31),KEID(109,31),KEIU(109,31),RIZ(109,31)
      REAL*8     EQID(109,31),ESID(109,31),EEID(109,31),ESIU(109,31)
      REAL*8     EID(109,31),EIU(109,31),REIZ(109,31)
      CHARACTER  TB,DT*9, FM*23 /"(2X,F8.2,7(A1,1pG14.7))"/

      TB = CHAR(9)
      OPEN (NOUT,FILE='./Output/OutLFPnZL.txt',STATUS='unknown',
     &                                                      RECL=125)
         CALL CWRITE(NOUT, C, Y, P, H, PL, PS)
         CALL ZWRITE(NOUT, ZANG,MUS,Q,BTR,ETC,ETY)
         CALL DRAWDIVLINE(NOUT,2,119,'*')
         WRITE (NOUT,95) '    Depth dependent data:'
         DO L=1,NNR
            J = NRR(L)
            CALL DRAWDIVLINE(NOUT,2,119,'=')
            WRITE (NOUT,158) 'Wavelength = ',LF(J)
     &         ,' nm ; Awo = ',Awo(J),' 1/m; Cwo = ',CW(J),' 1/m.'
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'Z, m',TB,'EQD',TB,'ESD',TB,'EED'
     &              ,TB,'ESU',TB,'KEED, 1/m',TB,'KEEU, 1/m',TB,'REZ'
            DO M=1,NZ
               K = M
               WRITE(NOUT,FM) Z(K),TB,EQD(J,K),TB,ESD(J,K),TB,EED(J,K)
     &            ,TB,ESU(J,K),TB,KEED(J,K),TB,KEEU(J,K),TB,REZ(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'Z, m',TB,'ERD',TB,'ERU',TB,'EFD',TB,'EFU'
     &                    ,TB,'KEID, 1/m',TB,'KEIU, 1/m',TB,'RIZ'
            DO M = 1, NZ
               K = M
               WRITE(NOUT,FM) Z(K),TB,ERD(J,K),TB,ERU(J,K),TB,EFD(J,K)
     &             ,TB,EFU(J,K),TB,KEID(J,K),TB,KEIU(J,K),TB,RIZ(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT,2,119,'*')
            WRITE (NOUT,91) 'Z, m',TB,'EQID',TB,'ESID',TB,'EEID'
     &                     ,TB,'ESIU',TB,'EID',TB,'EIU',TB,'REIZ'
            DO M = 1, NZ
               K = M
               WRITE(NOUT,FM) Z(K),TB,EQID(J,K),TB,ESID(J,K),TB
     &                                 ,EEID(J,K),TB,ESIU(J,K),TB
     &                           ,EID(J,K), TB,EIU(J,K),TB,REIZ(J,K)
            ENDDO
         ENDDO
         CALL DRAWDIVLINE(NOUT,2,119,'')
         WRITE(NOUT,'(3X,A)') DT
      CLOSE(NOUT)

  91  FORMAT (2X,A8,7(A1,A14))
  95  FORMAT (31X,A)
 158  FORMAT (18X,3(A,F9.4),A)

      RETURN
      END

C***********************************************************************
      SUBROUTINE FIG23NU(C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY
     &                             ,DT, NZ,Z, LF,NRD,NRU,NFD,NFU)
C***********************************************************************
      IMPLICIT   NONE
      EXTERNAL   CWRITE,ZWRITE,DRAWDIVLINE         ! in the file AUXIL.f
      INTEGER*4  NOUT /26/, K,L,M,J,NZ
      REAL*8     C,Y,P,H,PL,PS,ZANG,MUS,Q,BTR,ETC,ETY
      REAL*8     Z(NZ),LF(165)
      REAL*8     NRD(109,31),NRU(109,31),NFD(109,31),NFU(109,31)
      CHARACTER  TB,DT*9, FM*23 /"(2X,F8.4,4(A1,2pG14.6))"/

      TB = CHAR(9)
      OPEN (NOUT,FILE='./Output/Fig23NUout.txt',STATUS='unknown',
     &                                                      RECL=100)
         CALL CWRITE(NOUT, C, Y, P, H, PL, PS)
         CALL ZWRITE(NOUT, ZANG,MUS,Q,BTR,ETC,ETY)
         CALL DRAWDIVLINE(NOUT,2,82,'=')
         WRITE (NOUT,'(12X,A)')
     &        '    Relative Raman and Fluorescent Irradiances in %'
         CALL DRAWDIVLINE(NOUT,2,82,'*')
         DO M=1,NZ
            K = M
            WRITE (NOUT,167) 'Depth, Z = ',Z(K),' m.'
            CALL DRAWDIVLINE(NOUT,2,82,'=')
            WRITE (NOUT,93) 'LAM,nm',TB,'ERD/EID',TB,'ERU/EIU'
     &                               ,TB,'EFD/EID',TB,'EFU/EIU'
            DO L = 1, 109
               J = 110-L
               WRITE(NOUT,FM) LF(J),TB,NRD(J,K),TB,NRU(J,K)
     &                               ,TB,NFD(J,K),TB,NFU(J,K)
            ENDDO
            CALL DRAWDIVLINE(NOUT,2,82,'*')
         ENDDO
         WRITE(NOUT,'(3X,A)') DT
      CLOSE(NOUT)

  93  FORMAT (2X,A8,4(A1,A14))
 167  FORMAT (36X,A11,F8.2,A3)	
 
      RETURN
      END
C***********************************************************************