C***********************************************************************
C                           UNIT NICEWL                                *
C               Previous modification: November 24, 1992               *
C                  1992-2007 by Vladimir I. Haltrin                   *
C       Last modification: June 1, 2007 by  Vladimir I. Haltrin        *
C***********************************************************************
      SUBROUTINE NICEWL(LFLM,LAM, CEn,CIn,ALn,ALIn)
C
      IMPLICIT     none
      INTEGER*4    LFLM(81)
      REAL*8       LAM(81),CEn(81),CIn(81),ALn(81),ALIn(81)
C
      EXTERNAL     ARRLINT                       ! in the file NICEINT.f
      EXTERNAL     DRAWDIVLINE                   ! in the file DRDVLIN.f
      EXTERNAL     P_LFP,D_LFP                   ! in the file CIES.f
      INTEGER*4    J,K,L, NOUT1 /1/, NOUT9 /9/, NOF1 /95/
      REAL*8       LF(109),A(109),B(109),CE(109),BB(109),AL(109),D(109)
      REAL*8       DUM,DI(109),X(109),MU(109),RB(109),RW(109),RS(109)
      REAL*8       KBA(109),KOA(109),AI(109),CI(109),ALI(109),XI(109)
      REAL*8       MUI(109),RBI(109),RSI(109),RWI(109),ALFI(109)
      REAL*8       DRR(109),DRF(109),RI(109),KBIA(109),KOIA(109)
      REAL*8       An(81),Bn(81),BBn(81),AIn(81),Dn(81)
      REAL*8       DIn(81),Xn(81),MUn(81),RBn(81),RWn(81),RSn(81)
      REAL*8       KBAn(81),KOAn(81),XIn(81),Rn,Rr
      REAL*8       MUIn(81),RBIn(81),RSIn(81),RWIn(81),ALFIn(81)
      REAL*8       DRRn(81),DRFn(81),RIn(81),KBIAn(81),KOIAn(81)
      REAL*8       AL_P(7),RB_P(7),RW_P(7),RS_P(7),RI_P(7),RSI_P(7)
      REAL*8       RWI_P(7),RBI_P(7),DRR_P(7),DRF_P(7)
      CHARACTER    *100 COMMENTS(2)
      CHARACTER*5  P_NAME(7) /'CIE_X','CIE_Y','CIE_Z','DOMWL'
     &                               ,'PURLT','LEFFT','LEFFV'/
      CHARACTER    TB
      PARAMETER    (TB=CHAR(9))  

C
C              Reading input file ERF.1out:
C

      OPEN (NOUT1,FILE='./Output/OutputLFP.txt',STATUS='OLD')
         READ(NOUT1,'(A)') (COMMENTS(J), J=1,2)
         READ(NOUT1,'(3(/))')
         DO L = 1, 109
            J = L
            READ(NOUT1,*) LF(J),A(J),B(J),CE(J),BB(J),AL(J),D(J),DI(J)
         ENDDO
         READ(NOUT1,'(/)')
         DO L = 1, 109
            J = L
            READ(NOUT1,*) DUM,X(J),MU(J),RB(J),RW(J),RS(J),KBA(J),KOA(J)
         ENDDO
         READ(NOUT1,'(4(/))')
         DO L = 1, 109
            J = L
            READ(NOUT1,*) DUM,AI(J),CI(J),ALI(J),XI(J),MUI(J)
     &                                         ,RBI(J),RSI(J)
         ENDDO
         READ(NOUT1,'(/)')
         DO L = 1, 109
            J = L
            READ(NOUT1,*) DUM,RWI(J),ALFI(J),DRR(J),DRF(J),RI(J)
     &                                                ,KBIA(J),KOIA(J)
         ENDDO
      CLOSE(NOUT1)
C

      CALL ARRLINT(LF,A,LAM,LFLM, An)
      CALL ARRLINT(LF,B,LAM,LFLM, Bn)
      CALL ARRLINT(LF,CE,LAM,LFLM, CEn)
      CALL ARRLINT(LF,BB,LAM,LFLM, BBn)
      CALL ARRLINT(LF,AL,LAM,LFLM, ALn)
      CALL ARRLINT(LF,D,LAM,LFLM, Dn)
      CALL ARRLINT(LF,DI,LAM,LFLM, DIn)
      CALL ARRLINT(LF,X,LAM,LFLM, Xn)
      CALL ARRLINT(LF,MU,LAM,LFLM, MUn)
      CALL ARRLINT(LF,RB,LAM,LFLM, RBn)
      CALL ARRLINT(LF,RW,LAM,LFLM, RWn)
      CALL ARRLINT(LF,RS,LAM,LFLM, RSn)
      CALL ARRLINT(LF,KBA,LAM,LFLM, KBAn)
      CALL ARRLINT(LF,KOA,LAM,LFLM, KOAn)
      CALL ARRLINT(LF,AI,LAM,LFLM, AIn)
      CALL ARRLINT(LF,CI,LAM,LFLM, CIn)
      CALL ARRLINT(LF,ALI,LAM,LFLM, ALIn)
      CALL ARRLINT(LF,XI,LAM,LFLM, XIn)
      CALL ARRLINT(LF,MUI,LAM,LFLM, MUIn)
      CALL ARRLINT(LF,RBI,LAM,LFLM, RBIn)
      CALL ARRLINT(LF,RSI,LAM,LFLM, RSIn)
      CALL ARRLINT(LF,RWI,LAM,LFLM, RWIn)
      CALL ARRLINT(LF,ALFI,LAM,LFLM, ALFIn)
      CALL ARRLINT(LF,DRR,LAM,LFLM, DRRn)
      CALL ARRLINT(LF,DRF,LAM,LFLM, DRFn)
      CALL ARRLINT(LF,RI,LAM,LFLM, RIn)
      CALL ARRLINT(LF,KBIA,LAM,LFLM, KBIAn)
      CALL ARRLINT(LF,KOIA,LAM,LFLM, KOIAn)
      CALL ARRLINT(LF,D,LAM,LFLM, Dn)
      CALL ARRLINT(LF,DI,LAM,LFLM, DIn)
      CALL ARRLINT(LF,DRR,LAM,LFLM, DRRn)
      CALL ARRLINT(LF,DRF,LAM,LFLM, DRFn)

C***********************************************************************
C    Calculations of CIE and other integral parameters from
C    the nice massives M > M_P (or M_TP)
C    M_P(1) is a CIE tristimulus value X (see Judd & Wyszecki, p.145)
C    M_P(2) is a CIE tristimulus value Y (see Judd & Wyszecki, p.145)
C    M_P(3) is a CIE tristimulus value Z (see Judd & Wyszecki, p.145)
C    M_P(4) is a CIE dominant wavelength (see Judd & Wyszecki, p.170)
C    M_P(5) is a CIE purity of light     (see Judd & Wyszecki, p.170)
C    M_P(6) is an effective wavelength over 380780 nm (see [R3],Ch.7)
C    M_P(7) is an effective wavelength over 400700 nm (see [R3],Ch.7)
C
C     Calculation of reflectance parameters:
C
      CALL P_LFP(ALn,.FALSE.,LF, AL_P)
      CALL P_LFP(RBn,.FALSE.,LF, RB_P)
      CALL P_LFP(RWn,.FALSE.,LF, RW_P)
      CALL P_LFP(RSn,.FALSE.,LF, RS_P)
      CALL P_LFP(RIn,.FALSE.,LF, RI_P)
      CALL P_LFP(RSIn,.FALSE.,LF, RSI_P)
      CALL P_LFP(RWIn,.FALSE.,LF, RWI_P)
      CALL P_LFP(RBIn,.FALSE.,LF, RBI_P)
      CALL P_LFP(DRRn,.FALSE.,LF, DRR_P)
      CALL P_LFP(DRFn,.FALSE.,LF, DRF_P)

C=======================================================================
C-------------- Output1: Creating output file Fig1.out -----------------
C=======================================================================
      OPEN (NOF1,FILE='./Output/Fig1out.txt',STATUS='unknown',RECL=110)
         WRITE(NOF1, *) COMMENTS(1)
         WRITE(NOF1, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOF1,2,72,'*')
         WRITE (NOF1,*) '  Raman and Fluorescent corrections to DR in %'
         CALL DRAWDIVLINE(NOF1,2,72,'=')
         WRITE (NOF1,92) 'LAM, nm',TB,'RI',TB,'Rs/RI'
     &                       ,TB,'DRR/RI',TB,'DRF/RI'
         DO L = 1, 81
            J = L
            Rn = RIn(J)
            Rr = 100./Rn
            WRITE(NOF1,216) LAM(J),TB,Rn,TB,Rr*RSn(J)
     &                   ,TB,Rr*DRRn(J),TB,Rr*DRFn(J)
         ENDDO
         WRITE (NOF1,*)
      CLOSE(NOF1)

C
C                 Creating output files NICE.1out
C--------------------------- Output2 -----------------------------------
      OPEN (NOUT9,FILE='./Output/NICE1out.txt',STATUS='unknown',
     &                                                        RECL=125)
         WRITE(NOUT9, *) COMMENTS(1)
         WRITE(NOUT9, *) COMMENTS(2)
         CALL DRAWDIVLINE(NOUT9,2,119,'=')
         WRITE (NOUT9,95) '  Elastic data:  '
         CALL DRAWDIVLINE(NOUT9,2,119,'*')
         WRITE (NOUT9,91) 'LAM, nm',TB,'A, 1/m',TB,'B, 1/m'
     &        ,TB,'CE, 1/m',TB,'BB, 1/m',TB,'AL',TB,'D, m',TB,'DI, m'
         DO L = 1, 81
            J = L
            WRITE(NOUT9,215) LAM(J),TB, An(J),TB,Bn(J),TB,CEn(J)
     &                   ,TB,BBn(J),TB,ALn(J),TB,Dn(J),TB,DIn(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT9,2,119,'*')
         WRITE (NOUT9,91) 'LAM, nm',TB,'X',TB,'MU',TB,'RB'
     &                  ,TB,'RW',TB,'RS',TB,'KBA, 1/m',TB,'KOA, 1/m'
         DO L = 1, 81
            J = L
            WRITE(NOUT9,215) LAM(J),TB, Xn(J),TB,MUn(J),TB,RBn(J)
     &                 ,TB,RWn(J),TB,RSn(J),TB,KBAn(J),TB,KOAn(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT9,2,119,'*')
         WRITE (NOUT9,*)
         WRITE (NOUT9,95) ' Inelastic data: '
         CALL DRAWDIVLINE(NOUT9,2,119,'*')
         WRITE(NOUT9,91) 'LAM, nm',TB,'AI, 1/m',TB,'CI, 1/m'
     &              ,TB,'ALI, 1/m',TB,'XI',TB,'MUI',TB,'RBI',TB,'RSI'
         DO L = 1, 81
            J = L
            WRITE(NOUT9,215) LAM(J),TB, AIn(J),TB,CIn(J),TB,ALIn(J)
     &                  ,TB,XIn(J),TB,MUIn(J),TB,RBIn(J),TB,RSIn(J)
         ENDDO
         CALL DRAWDIVLINE(NOUT9,2,119,'*')
         WRITE (NOUT9,91) 'LAM, nm',TB,'RWI',TB,'ALFI, 1/m',TB
     &         ,'DRR',TB,'DRF',TB,'RI',TB,'KBIA, 1/m',TB,'KOIA, 1/m'
         DO L = 1, 81
            J = L
            WRITE(NOUT9,215) LAM(J),TB, RWIn(J),TB,ALFIn(J),TB,DRRn(J)
     &                   ,TB,DRFn(J),TB,RIn(J),TB,KBIAn(J),TB,KOIAn(J)
         ENDDO

C--------------------------- Output2a ----------------------------------
         WRITE (NOUT9,*)
         WRITE (NOUT9,95) ' CIE parameters: '
         CALL DRAWDIVLINE(NOUT9,2,92,'')
         WRITE (NOUT9,97) 'PARAM ',TB,'AL    ',TB,'RB    '
     &                ,TB,'RW    ',TB,'RS    ',TB,'RI    '
         CALL DRAWDIVLINE(NOUT9,2,92,'=')
            DO J=1,7
            K=J
            WRITE (NOUT9,808) P_NAME(K),TB,AL_P(K),TB,RB_P(K)
     &                      ,TB,RW_P(K),TB,RS_P(K),TB,RI_P(K)
         ENDDO
         CALL DRAWDIVLINE(NOUT9,2,92,'*')
         WRITE (NOUT9,97) 'PARAM ',TB,'RSI    ',TB,'RWI    '
     &               ,TB,'RBI    ',TB,'DRR    ',TB,'DRF    '
         CALL DRAWDIVLINE(NOUT9,2,92,'=')
         DO J=1,7
            K=J
            WRITE (NOUT9,808) P_NAME(K),TB,RSI_P(K),TB,RWI_P(K)
     &                     ,TB,RBI_P(K),TB,DRR_P(K),TB,DRF_P(K)
         ENDDO
         CALL DRAWDIVLINE(NOUT9,2,92,'-')
         WRITE (NOUT9,*)
      CLOSE(NOUT9)

  91  FORMAT (2X,A8,7(A1,A14))
  92  FORMAT (2X,A8,4(A1,A14))
  97  FORMAT (2X,A7,5(A1,A14))
  95  FORMAT (31X,A)
 215  FORMAT (2X,F8.0,7(A1,E14.7))
 216  FORMAT (2X,F8.0,4(A1,E14.7))
 808  FORMAT (2X,A7,5(A1,E14.7))

      RETURN
      END
C***********************************************************************
